Home | All Classes | Grouped Classes | Index | Search

# Class CL_GUIManager

Root component. More...

Derived from: CL_Component
Derived by: none
Group: GUI (Framework)

#include <ClanLib/gui.h>

Construction:

CL_GUIManager | GUI Manager Constructor

Attributes:

get_focus | Returns the currently focused component.
get_capture | Returns the currently captured component.
is_input_enabled | Returns true if input is enabled.
get_modal_component | Return component on top of modal stack or NULL if none
get_update_trigger | Returns the event trigger for the gui manager.
is_shutting_down | Returns true if gui manager is currently shutting down

Operations:

set_focus | Sets the focus component of the gui.
show | Draws the GUI once.
run | Runs the GUI message pump continuosly.
quit | Break run loop.
enable_input | Tells the GUI to start accepting input.
disable_input | Tells the GUI to stop accepting input.
gui_capture_mouse | Sets the GUI in capture mode. [should we move this out of API space? -- mbn]
gui_release_mouse | Takes GUI out of capture mode. [should we move this out of API space? -- mbn]

Signals:

sig_focus_changed | Called when a new component get the focus

Detailed description:

!group=GUI/Framework! !header=gui.h!

The GUI manager component is the 'root component' of any GUI system. It is responsible channeling input and output from the general clanlib display API and into the GUI system.

The GUI manager must to be the top-level component in any component tree.

Modal dialog interfaces in clanGUI is archived by constructing a GUI manager with a parent component. This will disable the input of the previous GUI, but will keep calling its painting signals.

Questions or comments, write to the ClanLib mailing list.